Update library webhook
PUT
/api/v1/webhooks/{id}
const url = 'http://127.0.0.1:8080/api/v1/webhooks/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"event_types":["example"],"name":"example","url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url http://127.0.0.1:8080/api/v1/webhooks/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "event_types": [ "example" ], "name": "example", "url": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Header Parameters
Section titled “Header Parameters”If-Match
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
enabled
required
boolean
event_types
required
Array<string> | null
name
required
string
url
required
string
Examplegenerated
{ "enabled": true, "event_types": [ "example" ], "name": "example", "url": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
consecutive_failures
required
integer format: int64
created_at
required
string format: date-time
enabled
required
boolean
event_types
required
Array<string> | null
id
required
string
library_id
string
name
required
string
pause_reason
string
revision
required
integer format: int64
secret_rotated_at
required
string format: date-time
updated_at
required
string format: date-time
updated_by
required
string
url
required
string
key
additional properties
any
Examplegenerated
{ "consecutive_failures": 1, "created_at": "2026-04-15T12:00:00Z", "enabled": true, "event_types": [ "example" ], "id": "example", "library_id": "example", "name": "example", "pause_reason": "example", "revision": 1, "secret_rotated_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "example", "url": "example"}Headers
Section titled “Headers”ETag
string
No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable application error code; clients may also use the problem type suffix.
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
key
additional properties
any
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
params
Structured context for the stable error code.
object
key
additional properties
any
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}